cURL
curl --request PUT \
--url https://api.become1.de/api/v2/employees/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"personnelNumber": "<string>",
"costCentre": "<string>",
"groups": [
"<array>"
],
"datePausedStart": "2023-11-07T05:31:56Z",
"datePausedEnd": "2023-11-07T05:31:56Z",
"dateTerminated": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.become1.de/api/v2/employees/{id}"
payload = {
"personnelNumber": "<string>",
"costCentre": "<string>",
"groups": ["<array>"],
"datePausedStart": "2023-11-07T05:31:56Z",
"datePausedEnd": "2023-11-07T05:31:56Z",
"dateTerminated": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
personnelNumber: '<string>',
costCentre: '<string>',
groups: ['<array>'],
datePausedStart: '2023-11-07T05:31:56Z',
datePausedEnd: '2023-11-07T05:31:56Z',
dateTerminated: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.become1.de/api/v2/employees/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"employeeId": "<string>",
"companyId": "<string>",
"personnelNumber": "<string>",
"costCenter": "<string>",
"groups": [
"<string>"
],
"datePausedStart": "2023-11-07T05:31:56Z",
"datePausedEnd": "2023-11-07T05:31:56Z",
"dateTerminated": "2023-11-07T05:31:56Z"
}Employees
Update Employee
Update an employee by ID
PUT
/
api
/
v2
/
employees
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The date when the employee should be paused (example: sick leave, maternal leave, etc.).
The date when the employee should be un-paused (example: coming back from sick leave, maternal leave, etc.).
The date when the employee should be terminated.
⌘I